<?php
if (!defined('_CAN_LOAD_FILES_'))
	exit;
	
class blokkontaktu extends Module
{
	public function __construct()
	{
		$this->name = 'blokkontaktu';
		$this->tab = 'front_office_features';
		$this->version = '1.0';

		parent::__construct();

		$this->displayName = $this->l('Blok kontaktu');
		$this->description = $this->l('Pozwala podać dodatkowe informacje kontaktu z obsługą sklepu');
	}
	
	public function install()
	{
		return (parent::install() AND Configuration::updateValue('blokkontaktu_telefon', '') AND Configuration::updateValue('blokkontaktu_email', '') AND Configuration::updateValue('gadugadu', '') AND $this->registerHook('rightColumn') && $this->registerHook('header'));
	}
	
	public function uninstall()
	{
		//Delete configuration			
		return (Configuration::deleteByName('blokkontaktu_telefon') AND Configuration::deleteByName('blokkontaktu_email') AND Configuration::deleteByName('blokkontaktu_gadgadu') AND parent::uninstall());
	}
	
	public function getContent()
	{
		// If we try to update the settings
		if (isset($_POST['submitModule']))
		{				
			Configuration::updateValue('blokkontaktu_telefon', (preg_match('/^[0-9]+/', $_POST['telefon']) ? $_POST['telefon']: ''));
			Configuration::updateValue('blokkontaktu_email', (($_POST['email'] != '') ? $_POST['email']: ''));
			Configuration::updateValue('blokkontaktu_gadugadu', (($_POST['gadugadu'] != '') ? $_POST['gadugadu']: ''));
			echo '<div class="conf confirm"><img src="../img/admin/ok.gif"/>'.$this->l('Configuration updated').'</div>';
		}
		
		return '
		<h2>'.$this->displayName.'</h2>
		<form action="'.Tools::htmlentitiesutf8($_SERVER['REQUEST_URI']).'" method="post">
			<fieldset class="width2">			
				<label for="telefon">'.$this->l('Telefon:').'</label> 
				<input type="text" id="telefon" name="telefon" value="'.((Configuration::get('blokkontaktu_telefon') != "") ? Configuration::get('blokkontaktu_telefon') : "").'" />
				<div class="clear">&nbsp;</div>
				<label for="email">'.$this->l('E-mail:').'</label> 
				<input type="text" id="email" name="email" value="'.((Configuration::get('blokkontaktu_email') != "") ? Configuration::get('blokkontaktu_email') : "").'" />
				<div class="clear">&nbsp;</div>
				<label for="gadugadu">'.$this->l('Gadu-Gadu:').'</label> 
				<input type="text" id="gadugadu" name="gadugadu" value="'.((Configuration::get('blokkontaktu_gadugadu') != "") ? Configuration::get('blokkontaktu_gadugadu') : "").'" />
				<div class="clear">&nbsp;</div>
				<br /><center><input type="submit" name="submitModule" value="'.$this->l('Aktualizuj ustawienia').'" class="button" /></center>
			</fieldset>
		</form>';
	}
	
	public function hookHeader()
	{
		Tools::addCSS(($this->_path).'blokkontaktu.css', 'all');
	}
	
	public function hookRightColumn()
	{
		global $smarty;
		
		$plik = fopen ("http://www.gadu-gadu.pl/users/status.asp?id=".Configuration::get('blokkontaktu_gadugadu')."&styl=2", "r");
		$status = fgets($plik, 2);
		switch ($status) {
		   case 1:
				$ikona='niedostepny.png';
				$opis='niedostępny';
				break;
		   case 2:
				$ikona='dostepny.png';
				$opis='dostępny';
				break;
		   case 3:
				$ikona='zarazwracam.png';
				$opis='zaraz wracam';
				break;
		   default:
				$ikona='blad.png';
				$opis='błąd';
				break;
		}
		fclose($plik);

		$smarty->assign(array(
			'telefon' => Configuration::get('blokkontaktu_telefon'),
			'email' => Configuration::get('blokkontaktu_email'),
			'gadugadu' => Configuration::get('blokkontaktu_gadugadu'),
			'ggopis' => $opis,
			'ggikona' => $ikona,
			'ggstatus' => $status
		));
		return $this->display(__FILE__, 'blokkontaktu.tpl');
	}
}
?>